package dev.pfaff.altargui.debug.events;

import static java.util.FormatProcessor.FMT;

public record AttachWidgetStateEvent(long parentKey, long childKey) implements WidgetStateEvent {
	@Override
	public String toString() {
		return FMT."AttachWidgetState[parentKey=%016x\{this.parentKey}, childKey=%016x\{this.childKey}]";
	}
}
